package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.Marshallable;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("TransactionResultSet")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TransactionResultSet implements Marshallable {
	private TransactionStatus[] results;

    //
	public TransactionStatus[] getResults() {
	    return results;
	}
	public void setResults(final TransactionStatus[] value) {
	    this.results = value;
	}

	public TransactionResultSet results(final TransactionStatus[] value) {
	    setResults(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        if (!(this.results == null)) {
            marshaller.writeValue(1, results);
        }
        return marshaller.array();
    }
}
